#include<bits/stdc++.h>
using namespace std;
double sumica(double m,double p[],long long n,double a[])
{
    int i;
    double suma=0;
    for(i=1;i<=n;i++)
    {
        if(p[i]>=m) suma+=a[i];
    }
    return suma*(m/100);
}
int main()
{

    long long n;
    int i;
    double p[100],sume[100],a[100],maxa;
    cin>>n;
    for(i=1;i<=n;i++) cin>>a[i]>>p[i];
    for(i=1;i<=n;i++)
    {
        sume[i]=sumica(p[i],p,n,a);
    }
    maxa=sume[1];
    for(i=2;i<=n;i++)
    {
        if(sume[i]>maxa) maxa=sume[i];
    }
    cout<<setprecision(5)<<fixed<<maxa<<endl;
    return 0;
}